## org.eclipse.amp.amf.ide.ascape
Class AscapeLaunchAction

    java.lang.Object
      org.eclipse.amp.amf.ide.AMFLaunchAction
          org.eclipse.amp.amf.ide.ascape.AscapeLaunchAction

All Implemented Interfaces:
  org.eclipse.debug.ui.ILaunchShortcut, org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

    public class AscapeLaunchAction

extends AMFLaunchAction

Field Summary
`static Configurator` `ASCAPE_CONFIGURATOR`

Constructor Summary
`AscapeLaunchAction()`

Method Summary
`Configurator` `getConfigurator()`
`java.lang.String` `getTargetName()`

Methods inherited from class org.eclipse.amp.amf.ide.AMFLaunchAction
`launch, launch, launchWith, launchWithResource, run, selectionChanged, setActivePart, setTargetName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ASCAPE_CONFIGURATOR

    public static final Configurator ASCAPE_CONFIGURATOR

Constructor Detail

### AscapeLaunchAction

    public AscapeLaunchAction()

Method Detail

### getConfigurator

    public Configurator getConfigurator()

  Overrides:
    `getConfigurator` in class `AMFLaunchAction`

### getTargetName

    public java.lang.String getTargetName()

  Overrides:
    `getTargetName` in class `AMFLaunchAction`